---
- version: v1alpha1
  group: webeos.webservices.cern.ch
  kind: UserProvidedDirectory
  role: userprovideddirectory
  # this causes the operator to automatically watch the resources we create and
  # reconcile the primary resource. This is super useful because if the dependent resources
  # get modified, this automatically reconciliates and fixes any inconsistency.
  # Cf. https://github.com/operator-framework/operator-sdk/blob/master/doc/ansible/dev/dependent_watches.md
  watchDependentResources: True
  # reduce the number of artifacts per resource since we want to handle many resources.
  maxRunnerArtifacts: 5
  # we need to remove the webeossite instance in webeos namespace, for this we need a finalizer
  # cf. https://github.com/operator-framework/operator-sdk/blob/master/doc/ansible/dev/finalizers.md
  finalizer:
    name: webeossitemgmt.webservices.cern.ch
    vars:
      state: absent
